Social Fetch
Facebook

Search Facebook Marketplace locations

Search Facebook Marketplace locations to obtain coordinates for listing search.

Operation

GET/v1/facebook/marketplace/locations/search
Cost: 1 credit

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

querystringrequired(query)

City or place name to search for Facebook Marketplace locations.

min 1 chars · max 512 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

dataquery
stringrequired

Search query that was evaluated for this response.

datalocations
arrayrequired

Locations returned for the search query.

datalocations[]name
stringrequired

Display name for the Marketplace location match.

min 1 chars

datalocations[]subtitle
stringrequirednullable

Additional location context shown by Facebook when available.

datalocations[]multiLineAddress
arrayrequired

Address lines for the location when available.

datalocations[]multiLineAddress[]
string

min 1 chars

datalocations[]pageId
stringrequirednullable

Facebook page identifier for the location when available.

datalocations[]latitude
numberrequired

Latitude coordinate for Marketplace listing search.

datalocations[]longitude
numberrequired

Longitude coordinate for Marketplace listing search.

datalocations[]city
stringrequirednullable

City associated with the location when available.

datalocations[]postalCode
stringrequirednullable

Postal or ZIP code associated with the location when available.

datatotalLocations
integerrequired

Number of locations returned in this response.

≥ 0

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

Marketplace locations for the requested query.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page